<?php

/* This is the app itself. */
function slushman_artistdatapress() {

	/* Get options and make them variables  */
	$options = get_option( 'slushman_adp_options' );
	$slushman_adp_adpage_url = $options['slushman_adp_adpage_url'];
	$slushman_adp_max_shows = $options['slushman_adp_max_shows'];
	$slushman_adp_display_name = $options['slushman_adp_display_name'];
	$slushman_adp_display_time = $options['slushman_adp_display_time'];
	$slushman_adp_display_tickets = $options['slushman_adp_display_tickets'];
	$slushman_adp_display_age = $options['slushman_adp_display_age'];
	$slushman_adp_country = $options['slushman_adp_country'];
	$slushman_adp_no_shows = $options['slushman_adp_no_shows'];
	
	$showfeed = slushman_adp_xml(); ?>

	<div id="slushman_adp"><?php

	/* If there's a feed, display the output  */
	if ( $showfeed ) {
				
		/* This is for limiting how many shows are displayed. */
		$count = 0;
				
		/* Loop through each feed item and display them. */
	    foreach ( $showfeed as $show ) { ?>
	
			<div id="slushman_adp_shows" id="slushman_adp_<?php echo $show->recordKey; ?>">
					
				<div class="slushman_adp_date_time slushman_adp_header_row">
				
					<span class="slushman_adp_show_date"><?php 
								
						/* Send the XML show date to slushman_adp_date_morph to make it more readable */
						$rawdate = $show->date;
						$date = slushman_adp_date_morph($rawdate);
						
						echo $date; ?></span><?php
						
						/* Display the show time if selected in the plugin options */
						if ( $slushman_adp_display_time == 'on' ) { ?><span class="slushman_adp_show_time"><?php
						
							/* Send the XML show time to slushman_adp_time_morph to make it more readable */
							$rawshowtime = $show->timeSet;
							$showtime = slushman_adp_time_morph($rawshowtime);
					
							echo ', ' . $showtime; ?></span><?php
						
						} // End of if ( $slushman_adp_display_time == 'on')
					?>
				
				</div><!-- End of slushman_adp_date_time -->
				
				<div class="slushman_adp_venue slushman_adp_header_row"><?php
							
					/* Make the venue name a URL to their site, otherwise just display the name */
					if ( !empty( $show->venueURI ) ) { ?>
					
						<a class="slushman_adp_venue_link" href="<?php echo $show->venueURI; ?>"><?php echo $show->venueName; ?></a><?php
						
					} else { ?>
					
						<span class="slushman_adp_venue_link"><?php echo $show->venueName; ?></span><?php
					
					}  // End of if ( !empty( $show->venueURI ) ?>
				
				</div><!-- End of slushman_adp_venue -->
				
				<div class="slushman_adp_show_location slushman_adp_header_row">
				
					<?php
									
					/* Make the city & state a Google Map link, otherwise just show the city & state */
					if ( !empty( $show->venueAddress ) ) { ?>
					
						<a class="slushman_adp_venue_map" href="http://maps.google.com/maps?q=<?php echo $show->venueAddress . ', ' . $show->city . ', ' . $show->stateAbbreviation . ', ' . $show->country; ?>">
						
							<span class="slushman_adp_venue_location"><?php echo $show->city;
							
								if ( $show->stateAbbreviation == 'No State' ) {
								
									echo ', ' . $show->country;
								
								} elseif ( $slushman_adp_country == 'on' ) {
								
									echo ', ' . $show->stateAbbreviation . ', ' . $show->countryAbbreviation;
								
								} else {
								
									echo ', ' . $show->stateAbbreviation;
								
								}  ?>
							
							</span>
							
							<span class="slushman_adp_map_notice"> - map</span>
							
						</a><?php
						
					} else { ?>
					
						<span class="slushman_adp_show_no_map">
							<?php echo $show->city;
							
							if ( $show->stateAbbreviation == 'No State' ) {
							
								echo ', ' . $show->country;
							
							} elseif ( $slushman_adp_country == 'on' ) {
							
								echo ', ' . $show->stateAbbreviation . ', ' . $show->countryAbbreviation;
							
							} else {
							
								echo ', ' . $show->stateAbbreviation;
							
							}  ?>
							
						</span><?php
						
					} // End of if ( !empty( $show->venueAddress ) ) ?>
				
				</div><!-- End of slushman_adp_show_location --><?php
		
				/* Display the show name if selected in the plugin options */
				if ( $slushman_adp_display_name == 'on') { ?>
								
					<div class="slushman_adp_show_name"><?php echo $show->name; ?></div><?php
										
				} // End of if ( $slushman_adp_display_name == 'on') ?>
				
				<div class="slushman_adp_show_details"><?php	
							
					/* Display the ticket price if selected in the plugin options */	
					if ( $slushman_adp_display_tickets == 'on') {
					
						/* Make the ticket price into a link, otherwise just show the price */
						if ( !empty ($show->ticketURI) ) { ?>
			
							<a class="slushman_adp_show_price" href="<?php echo $show->ticketURI; ?>">
								Tickets: <?php echo $show->ticketPrice; ?>								
							</a><?php
								
						} else { ?>
						
							<span class="slushman_adp_show_price">
								Tickets: <?php echo $show->ticketPrice; ?>
							</span><?php
							
						} // End of if ( !empty ($show->ticketURI) )
					
					} // End of if ( $slushman_adp_display_tickets == 'on')
					
					/* Display the age limit if selected in the plugin options */
					if ( $slushman_adp_display_age == 'on') { ?>
			
						<span class="slushman_adp_show_age">
							Age Limit: <?php echo $show->ageLimit; ?>
						</span><?php
						
					} // End of if ( $slushman_adp_display_age == 'on') ?>
				
				</div><!-- End of slushman_adp_show_details -->
				
				<div class="slushman_adp_spacer_row">&nbsp;</div>
						
			</div><!-- End of slushman_adp_shows --><?php
				
			++$count;
		
			if ( $count == $slushman_adp_max_shows ) { 
			
				break; //Stop after the count has reached $slushman_adp_max_shows
				
			} // End of if ( $count == $slushman_adp_max_shows )
		
		} // End of "foreach ( $showfeed as $show )"
		
	} /* End of if ( $showfeed ) */ elseif( $showfeed == 0 ) { ?>
	
		<div id="slushman_adp_no_shows"><?php echo $slushman_adp_no_shows; ?></div><?php
		
	} // End of elseif( $showfeed == 0 )
		?>
		<div id="slushman_adp_more_shows" class="slushman_adp_footer"><?php
			
			if ( !empty( $slushman_adp_max_shows ) && ( $showfeed != 0 ) ) { ?>
			
				<span id="slushman_adp_more">
					<a href="<?php echo $slushman_adp_adpage_url; ?>">More shows</a>
				</span><?php
				
			} //End of if ( !empty( $slushman_adp_max_shows ) && ( $showfeed != 0 ) ) ?>
		
		</div><!-- End of slushman_adp_more_shows -->
		
		<div id="slushman_adp_artistdata_link" class="slushman_adp_footer">&nbsp;
		
			<a id="slushman_adp_artistdata_logo_link" href="http://artistdata.com" target="_blank">
	    		<img border="0" id="slushman_adp_artistdata_logo" src="<?php echo plugins_url( 'images/powered_by_artistdata.png', __FILE__ ); ?>">
	    	</a>
		
		</div><!-- End of slushman_adp_artistdata_logo_link -->
	
	</div><!-- End of slushman_adp --><?php
	
} // End of slushman_artistdatapress()

?>