<?php 

/***** ArtistDataPress Widget *****/

// Add our function to the widgets_init hook.
add_action( 'widgets_init', 'adp_widget_load' );

// Function that registers our widget.
function adp_widget_load() { 
	register_widget( 'artistdatapress_widget' ); 
}

// Creates the widget itself
class artistdatapress_widget extends WP_Widget {
 
    function artistdatapress_widget() {
        $widget_ops = array( 'classname' => 'artistdatapress-widget', 'description' => __('Display your ArtistData show feed in the sidebar', 'artistdatapress-widget') ); /* Widget settings. */
        $this->WP_Widget( 'artistdatapress_widget', 'ArtistDataPress', $widget_ops ); /* Create the widget. */
        
    } //End of artistdatapress_widget function
 
    function form( $instance ) {
 
        // Set up some default widget settings. 
        $defaults 		= array( 'title' => 'ArtistDataPress', 'quantity' => '', );
        $instance 		= wp_parse_args( (array) $instance, $defaults );
        $title 			= esc_attr( $instance['title'] );
        $quantity 		= $instance['quantity'];
        $showtime 		= $instance['showtime'];
        $showname 		= $instance['showname'];
        $showprice 		= $instance['showprice'];
        $showage 		= $instance['showage'];
        $showcountry 	= $instance['showcountry']; ?>
 
        <p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php echo _e('Title'); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'quantity' ); ?>"><?php echo _e('Display how many shows?'); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'quantity' ); ?>" name="<?php echo $this->get_field_name( 'quantity' ); ?>" type="text" value="<?php echo esc_attr( $quantity ); ?>" /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'showtime' ); ?>"><?php echo _e('Display show time?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showtime' ); ?>" name="<?php echo $this->get_field_name( 'showtime' ); ?>" type="checkbox" <?php checked( $showtime, 'on' ); ?> /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'showname' ); ?>"><?php echo _e('Display show name?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showname' ); ?>" name="<?php echo $this->get_field_name( 'showname' ); ?>" type="checkbox" <?php checked( $showname, 'on' ); ?> /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'showprice' ); ?>"><?php echo _e('Display ticket price?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showprice' ); ?>" name="<?php echo $this->get_field_name( 'showprice' ); ?>" type="checkbox" <?php checked( $showprice, 'on' ); ?> /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'showage' ); ?>"><?php echo _e('Display age limit?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showage' ); ?>" name="<?php echo $this->get_field_name( 'showage' ); ?>" type="checkbox" <?php checked( $showage, 'on' ); ?> /></label></p>
        
        <p><label for="<?php echo $this->get_field_id( 'showcountry' ); ?>"><?php echo _e('Display country?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showcountry' ); ?>" name="<?php echo $this->get_field_name( 'showcountry' ); ?>" type="checkbox" <?php checked( $showcountry, 'on' ); ?> /></label></p>
                
        <?php
 
    } //End of form function
 
    function widget( $args, $instance ) {
       
        extract( $args );
        
		// Get options and make the feed a variable
		$adp						= new ArtistDataPress_Plugin;
        $title 						= apply_filters( 'widget_title', $instance['title'] );
        $quantity 					= $instance['quantity'];
        $showtime 					= $instance['showtime'];
		$showname 					= $instance['showname'];
		$showprice 					= $instance['showprice'];
		$showage 					= $instance['showage'];
		$showcountry 				= $instance['showcountry'];
		$options 					= get_option( 'slushman_adp_options' );
		$slushman_adp_adpage_url 	= $options['slushman_adp_adpage_url'];
		$slushman_adp_no_shows 		= $options['slushman_adp_no_shows'];
		$slushman_adp_time_format	= $options['slushman_adp_time_format'];
		$slushman_adp_date_format	= $options['slushman_adp_date_format'];
		$showfeed 					= $adp->get_xml();
		
		echo $before_widget;

		if ( !empty( $title ) ) {
		
			echo $before_title . $title . $after_title;
		
		} ?>
		
		<ul id="slushman_adpw_shows"><?php

		if ( $showfeed ) { 
			
			// This is for limiting how many shows are displayed.
			$count = 0;
			
			// Loop through each feed item and display them.
			foreach ( $showfeed as $show ) { ?>
		    			
    			<li class="slushman_adpw_show" id="slushman_adpw_<?php echo $show->recordKey; ?>">
					
					<span class="slushman_adpw_date_time"><?php
							
						if ( $slushman_adp_date_format == 'default' ) {
						
							$date_format = get_option( 'date_format' );
							
						} else {
						
							$date_format = $slushman_adp_date_format;
						
						}
						
						$showdate	= strtotime( $show->date );
						$date		= date( $date_format, $showdate ); ?>
									
						<span class="slushman_adpw_show_date"><?php echo $date; ?></span><?php
						
						// Display the show time if selected in the plugin options
						if ( $showtime == 'on' && isset( $slushman_adp_time_format ) ) {

							if ( $slushman_adp_time_format == 'default' ) {
							
								$time_format = get_option( 'time_format' );
								
							} else {
							
								$time_format = $slushman_adp_time_format;
							
							}
							
							$gigtime 	= strtotime( $show->timeSet );
							$time 		= date( $time_format, $gigtime ); ?>
							
							<span class="slushman_adpw_show_time"> at <?php echo $time; ?></span><?php
							
						} // End of if ( $slushman_adp_display_time == 'on') ?>
							
					</span><?php
					
					// Display the show name if selected in the widget options
					if ( $showname == 'on') { ?>	
									
						<span class="slushman_adpw_show_name">
						
							<?php echo $show->name; ?>
							
						</span><?php
					
					} //End of if ( showname )
		
							
					// Make the venue name a URL to their site, otherwise just display the name				
					if ( !empty( $show->venueURI ) ) {
							
						echo ' <a class="slushman_adpw_venue_link" href="' . $show->venueURI . '">' . $show->venueName . '</a>';
							
					} else {
							
						echo ' <span class="slushman_adpw_no_venue_link">' . $show->venueName . '</span>';
							
					}
								
					// If there's a venue address, city & state is a Google Map link, otherwise just show the city & state
					if ( !empty( $show->venueAddress ) ) { ?>
						
						<a class="slushman_adpw_venue_map" href="http://maps.google.com/maps?q=<?php echo $show->venueAddress . ', ' . $show->city . ', ' . $show->stateAbbreviation . ', ' . $show->country; ?>">
							<?php echo $show->city;
							
							if ( $show->stateAbbreviation == 'No State' ) {
									
								echo ', ' . $show->country;
							
							} elseif ( $showcountry == 'on' ) {
							
								echo ', ' . $show->stateAbbreviation . ', ' . $show->countryAbbreviation;
							
							} else {
							
								echo ', ' . $show->stateAbbreviation;
							
							}  ?>
							
							<span class="slushman_adpw_map_notice"> - map</span>
						</a><?php
							
					} else { ?>
						
						<span class="slushman_adpw_show_no_map">
						
							<?php echo $show->city; 
							
							if ( $show->stateAbbreviation == 'No State' ) {
									
								echo ', ' . $show->country;
							
							} elseif ( $showcountry == 'on' ) {
							
								echo ', ' . $show->stateAbbreviation . ', ' . $show->countryAbbreviation;
							
							} else {
							
								echo ', ' . $show->stateAbbreviation;
							
							}  ?>
							
						</span><?php
					}
										
					// Display the ticket price if selected in the widget options
					if ( $showprice == 'on' ) { ?>
					
						<span class="slushman_adpw_show_price"><?php
		
							// If there's a URL for purchasing tickets, make the ticket price into a link, otherwise just show the price
							if ( !empty ($show->ticketURI) ) { ?>
		
								<a class="slushman_adpw_show_price" href="<?php echo $show->ticketURI; ?>">
									Tickets: <?php echo $show->ticketPrice; ?>								
								</a><?php
									
							} else {
							
								echo 'Tickets: ' . $show->ticketPrice; 
								
							} ?>
						</span<?php
					
					} //End of if ( showprice )
					
					// Display the age limits if selected in the widget options
					if ( $showage == 'on' ) { ?>
					
						<span class="slushman_adpw_show_age">
							Age Limit: <?php echo $show->ageLimit; ?>
						</span><?php
						
					} //End of if ( showage ) ?>
				
				</li><?php //End of li.slushman_adp_show
			
				++$count;
				
				if ( $count == $quantity ) { 
					
	    			break; //Stop after the count has reached $quantity
	    				
	    		}
			
    		} // End of "foreach ( $showfeed as $show )"
    		
   		} // End of if ( $showfeed ) elseif( $showfeed == 0 ) { ?>
   		
   			<li id="slushman_adpw_no_shows"><?php echo $slushman_adp_no_shows; ?></li><?php
   			
   		} // End of elseif( $showfeed == 0 ) ?>
    		
			<li id="slushman_adpw_links">
			
				<span id="slushman_adpw_more"><?php
				
					if ( !empty( $quantity ) ) { ?>
			
						<a href="<?php echo $slushman_adp_adpage_url; ?>">More shows</a><?php
					
					} // End of if ( !empty( $quantity ) ) ?>
					
					&nbsp;</span>

				<a id="slushman_adpw_artistdata_logo_link" href="http://artistdata.com" target="_blank">
   					<img border="0" id="slushman_adpw_artistdata_logo" src="<?php echo WP_PLUGIN_URL . '/artistdatapress/images/powered_by_artistdata.png'; ?>">
   				</a>
			
			</li>
		
		</ul> <!-- End of slushman_adpw_shows --> <?php

        echo $after_widget; // After widget (defined by themes).
        
    } //End of widget function
 
 	// Updates the widget

    function update( $new_instance, $old_instance ) {
        $instance 					= $old_instance;
		$instance['title'] 			= strip_tags($new_instance['title']);
		$instance['quantity'] 		= strip_tags($new_instance['quantity']);
		$instance['showtime'] 		= strip_tags($new_instance['showtime']);
		$instance['showname'] 		= strip_tags($new_instance['showname']);
		$instance['showprice'] 		= strip_tags($new_instance['showprice']);
		$instance['showage'] 		= strip_tags($new_instance['showage']);
		$instance['showcountry'] 	= strip_tags($new_instance['showcountry']);
 
        return $instance;
        
    } //End of update function
    
}

?>